package com.kingdee.eas.custom.beisen.synchronouspos;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import java.lang.String;



public abstract class AbstractSynchronousPosFacadeControllerBean extends AbstractBizControllerBean implements SynchronousPosFacadeController
{
    protected AbstractSynchronousPosFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("D8629CA8");
    }

    public String syncPosToBeiSen(Context ctx, String posId, String syncStartTimeStr, String syncEndTimeStr) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("bcb67896-384a-4759-9e21-2272bbe0a76a"), new Object[]{ctx, posId, syncStartTimeStr, syncEndTimeStr});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_syncPosToBeiSen(ctx, posId, syncStartTimeStr, syncEndTimeStr);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _syncPosToBeiSen(Context ctx, String posId, String syncStartTimeStr, String syncEndTimeStr) throws BOSException
    {    	
        return null;
    }

    public String sendAddNewPosToBeisen(Context ctx, String jsonStr) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("c389ce38-a770-4e79-afb1-590acaf9357a"), new Object[]{ctx, jsonStr});
            invokeServiceBefore(svcCtx);
            if(!svcCtx.invokeBreak()) {
            String retValue = (String)_sendAddNewPosToBeisen(ctx, jsonStr);
            svcCtx.setMethodReturnValue(retValue);
            }
            invokeServiceAfter(svcCtx);
            return (String)svcCtx.getMethodReturnValue();
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected String _sendAddNewPosToBeisen(Context ctx, String jsonStr) throws BOSException
    {    	
        return null;
    }

    public void sendEditPosToBeisen(Context ctx, String jsonStr) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("f3a89f59-2db6-4108-af20-a6ac57f9aa9c"), new Object[]{ctx, jsonStr});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _sendEditPosToBeisen(ctx, jsonStr);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _sendEditPosToBeisen(Context ctx, String jsonStr) throws BOSException
    {    	
        return;
    }

}